play.libs.mail

## Class AbstractMailSystemFactory

- java.lang.Object
- - play.libs.mail.AbstractMailSystemFactory

-     public abstract class AbstractMailSystemFactory
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AbstractMailSystemFactory` | `DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMailSystemFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract MailSystem` | `currentMailSystem()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final AbstractMailSystemFactory DEFAULT

  - ### Constructor Detail

    - #### AbstractMailSystemFactory

          public AbstractMailSystemFactory()

  - ### Method Detail

    - #### currentMailSystem

          public abstract MailSystem currentMailSystem()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly